#
# spec file for package dbus-1-x11 (Version 1.0.2)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils doxygen file filesystem fillup findutils fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libexpat-devel libexpat1 libgcc42 libgomp42 libltdl-3 libmudflap42 libpng libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions pkg-config popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux xorg-x11-devel xorg-x11-fonts-devel xorg-x11-libICE xorg-x11-libICE-devel xorg-x11-libSM xorg-x11-libSM-devel xorg-x11-libX11 xorg-x11-libX11-devel xorg-x11-libXau xorg-x11-libXau-devel xorg-x11-libXdmcp xorg-x11-libXdmcp-devel xorg-x11-libXext xorg-x11-libXext-devel xorg-x11-libXfixes xorg-x11-libXfixes-devel xorg-x11-libXmu xorg-x11-libXmu-devel xorg-x11-libXp xorg-x11-libXp-devel xorg-x11-libXpm xorg-x11-libXpm-devel xorg-x11-libXprintUtil xorg-x11-libXprintUtil-devel xorg-x11-libXrender xorg-x11-libXrender-devel xorg-x11-libXt xorg-x11-libXt-devel xorg-x11-libXv xorg-x11-libXv-devel xorg-x11-libfontenc xorg-x11-libfontenc-devel xorg-x11-libs xorg-x11-libxcb xorg-x11-libxcb-devel xorg-x11-libxkbfile xorg-x11-libxkbfile-devel xorg-x11-proto-devel xorg-x11-util-devel xorg-x11-xtrans-devel zlib zlib-devel


Name:           dbus-1-x11
BuildRequires:  xorg-x11-devel
Url:            http://dbus.freedesktop.org/
License:        Other uncritical OpenSource License
Group:          Development/Tools/Other
Summary:        X11-requiring add-ons for D-Bus
# COMMON1-BEGIN
# COMMON1-BEGIN
BuildRequires:  doxygen libexpat-devel libzio pkgconfig
Version:        1.0.2
Release:        67.7
AutoReqProv:    on
Source0:        dbus-%{version}.tar.gz
Source1:        rc.boot.dbus
Source2:        dbus-1.desktop
Patch0:         dbus-do-not-abort-on-check-thoenig-01.patch
Patch1:         dbus-display-errors-from-dbus-launch.diff
Patch2:         dbus-remove-startproc-try-restart.patch
Patch3:         CVE-2008-0595.diff
Patch4:         CVE-2008-3834.diff
Patch5:         CVE-2008-4311.diff
Patch6:         CVE-2008-4311-logging.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# COMMON1-END
# COMMON1-END

%description
D-Bus contains some tools that require Xlib to be installed, those are
in this separate package so server systems need not install X.



Authors:
--------
    Olivier Andrieu <oliv__a@users.sourceforge.net>
    Philip Blundell <pb@nexus.co.uk>
    Anders Carlsson <andersca@gnome.org>
    Kristian Hogsberg  <krh@redhat.com>
    Alex Larsson <alexl@redhat.com>
    Michael Meeks <michael@ximian.com>
    Seth Nickell <seth@gnome.org>
    Havoc Pennington <hp@redhat.com>
    Harri Porten <porten@kde.org>
    Matthew Rickard <mjricka@epoch.ncsc.mil>
    Zack Rusin <zack@kde.org>
    Joe Shaw <joe@assbarn.com>
    Colin Walters <walters@gnu.org>
    David Zeuthen <david@fubar.dk>

%debug_package
%prep
# COMMON2-BEGIN
# COMMON2-BEGIN
%setup -n dbus-%{version} -q
# Disable this until we hit RC phase
#%patch0
%patch1
pushd .
cd ../../SOURCES
%patch2
popd
%patch3
%patch4
%patch5 -p1
%patch6 -p1

%build
autoreconf -fi
export CFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing -fPIC"
export CXXFLAGS="${RPM_OPT_FLAGS} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
export CFLAGS="$CFLAGS -fstack-protector"
export CXXFLAGS="$CXXFLAGS -fstack-protector"
%endif
./configure								\
    --prefix=%{_prefix}							\
    --bindir=/bin							\
    --exec_prefix=%{_exec_prefix}					\
    --sysconfdir=%{_sysconfdir}						\
    --datadir=%{_datadir}						\
    --localstatedir=%{_localstatedir}					\
    --libdir=/%{_lib}							\
    --mandir=%{_mandir}							\
    --with-init-scripts=suse						\
    --enable-dnotify							\
    --enable-doxygen-docs						\
    --with-console-auth-dir=/var/run/resmgr/classes/desktop/
make %{?jobs:-j %jobs}
doxygen -u && doxygen
./cleanup-man-pages.sh

%install
# COMMON2-END
# COMMON2-END
tdir=$(mktemp -d)
make DESTDIR=$tdir install
mkdir -p %{buildroot}/%{_bindir}
mkdir -p %{buildroot}/%{_mandir}/man1
mv $tdir/bin/dbus-launch %{buildroot}/%{_bindir}
mv $tdir/%{_mandir}/man1/dbus-launch.1* %{buildroot}/%{_mandir}/man1
rm -rf $tdir

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/dbus-launch
%{_mandir}/man1/dbus-launch.1*

%changelog
* Wed Jan 28 2009 - thoenig@suse.de
- add patch: CVE-2009-4311.diff:
  - Fix D-Bus policy handling (bnc#443307)
- add patch: CVE-2009-4311-logging.diff:
  - Add logging support (bnc#443307)
* Wed Oct 15 2008 - thoenig@suse.de
- add patch: CVE-2008-3834.diff:
  - Fixed: The dbus_signature_validate function in the libdbus
  allows remote attackers to cause a denial of service
  (application abort) via a message containing a malformed
  signature, which triggers a failed assertion error.
- add patch: CVE-2008-3834.diff:
  - Fixed: The dbus_signature_validate function in the libdbus
  allows remote attackers to cause a denial of service
  (application abort) via a message containing a malformed
  signature, which triggers a failed assertion error.
* Tue Feb 26 2008 - thoenig@suse.de
- add patch: CVE-2008-0595.diff:
  - fix applying policies in an insecure manner (CVE-2008-0595)
- add patch: CVE-2008-0595.diff:
  - fix applying policies in an insecure manner (CVE-2008-0595)
* Mon Oct 29 2007 - hmacht@suse.de
- dbus-remove-startproc-try-restart.patch:
  o Don't use startproc (b.n.c 331002 and 332845). We need to wait
  until D-Bus has finished its initialization before continuing.
  o Don't restart on update
- dbus-remove-startproc-try-restart.patch:
  o Don't use startproc (b.n.c 331002 and 332845). We need to wait
  until D-Bus has finished its initialization before continuing.
  o Don't restart on update
* Fri Aug 10 2007 - dmueller@suse.de
- package size reduction (31%%)
- documentation shouldn't be executable
- package size reduction (31%%)
- documentation shouldn't be executable
* Mon Jul 30 2007 - thoenig@suse.de
- Fix path in rc script for both, dbus-daemon and dbus-uuidgen
- Fix path in rc script for both, dbus-daemon and dbus-uuidgen
* Sun Jul 29 2007 - ro@suse.de
- next attempt to fix path for dbus-launch
- next attempt to fix path for dbus-launch
* Sat Jul 28 2007 - thoenig@suse.de
- Fix location of dbus-1-launch for dbus-1-x11
- Fix dbus-1-devel to own %%{_libdir}/dbus-1.0
- Fix location of dbus-1-launch for dbus-1-x11
- Fix dbus-1-devel to own %%{_libdir}/dbus-1.0
* Wed Jul 25 2007 - thoenig@suse.de
- move D-Bus to / (b.n.c #285472)
- remove static libraries
- move D-Bus to / (b.n.c #285472)
- remove static libraries
* Fri Jul 20 2007 - dmueller@suse.de
- build against libexpat (#285472)
- build against libexpat (#285472)
* Tue Jun 19 2007 - thoenig@suse.de
- Add $local_fs to Required-Start (b.n.c #285472)
- Add $local_fs to Required-Start (b.n.c #285472)
* Fri Mar 16 2007 - dmueller@suse.de
- display error messages from dbus-launch
- display error messages from dbus-launch
* Sun Feb 25 2007 - thoenig@suse.de
- remove leading whitespace from .changes
- remove leading whitespace from .changes
* Thu Feb 22 2007 - thoenig@suse.de
- Disable dbus-do-not-abort-on-check-thoenig-01.patch until we hit
  RC phase.
- Disable dbus-do-not-abort-on-check-thoenig-01.patch until we hit
  RC phase.
* Mon Feb 19 2007 - dmueller@suse.de
- fix mis-placed comment marker
- fix mis-placed comment marker
* Tue Feb 13 2007 - dmueller@suse.de
- build wih x support for dbus-1-x11 package (#225627)
- build wih x support for dbus-1-x11 package (#225627)
* Wed Dec 13 2006 - thoenig@suse.de
- move invocation of autoreconf from %%prep to %%build
- update to D-Bus 1.0.2 (skipped 1.0.1)
  - fix security bug CVE-2006-6107 match rules can be removed by
  apps that did not create them
  - pthread fix
  - fix bug where calling dbus_threads_init_default would assert
  - fix UUID output to match the spec
  - clear up documentation on UUIDs
- move invocation of autoreconf from %%prep to %%build
- update to D-Bus 1.0.2 (skipped 1.0.1)
  - fix security bug CVE-2006-6107 match rules can be removed by
  apps that did not create them
  - pthread fix
  - fix bug where calling dbus_threads_init_default would assert
  - fix UUID output to match the spec
  - clear up documentation on UUIDs
* Sun Nov 12 2006 - thoenig@suse.de
- add patch dbus-do-not-abort-on-check-thoenig-01.patch: Do not
  call _dbus_warn_check_failed() but _dbus_warn() on checks as
  _dbus_warn_check_failed() always leads to abort(3)
- add patch dbus-do-not-abort-on-check-thoenig-01.patch: Do not
  call _dbus_warn_check_failed() but _dbus_warn() on checks as
  _dbus_warn_check_failed() always leads to abort(3)
* Sat Nov 11 2006 - thoenig@suse.de
- update to D-Bus 1.0.0
  - documents updated with API/ABI guarantees
  - added missing patch FreeBSD need to run out of the box
  - dbus-monitor now has a profile mode
  - AUTHORS file updated with names from the ChangeLog. Thanks to
  everyone who helped get us here
- update to D-Bus 1.0.0
  - documents updated with API/ABI guarantees
  - added missing patch FreeBSD need to run out of the box
  - dbus-monitor now has a profile mode
  - AUTHORS file updated with names from the ChangeLog. Thanks to
  everyone who helped get us here
* Thu Nov 09 2006 - thoenig@suse.de
- start service for D-Bus system bus also in run level 2 (b.n.c
  [#216805])
- start service for D-Bus system bus also in run level 2 (b.n.c
  [#216805])
* Fri Nov 03 2006 - thoenig@suse.de
- remove patch
  dbus-send-do-not-close-shared-connection-thoenig-01.patch (fix
  is now upstream)
- run cleanup-man-pages.sh to clean up Doxygen man page output
- cleanup rc script, add invocation of dbus-uuidgen
- do not call dbus-uuidgen in %%post
- update to D-Bus 0.95
  - DBUS_API_SUBJECT_TO_CHANGE no longer needs to be defined when
  building apps
  - ./configure checks now work when cross compiling
  - dbus-uuidgen --ensure is now run in the init script so there
  is no need to run it in a post script
  - dbus-uuidgen now writes out to /var/lib/dbus to work with
  systems that do not have a writable /etc. Packages should
  install and own the /var/lib/dbus directory
  - recursive locks are now used when dbus_threads_init_default is
  called
  - standard_session_servicedirs tag added to the session.conf
  under a normal build this specifies these service directories:
  /usr/local/share/dbus-1/services
  /usr/share/dbus-1/services
  $HOME/.local/share/dbus-1/services
  - fixed crash when a service directory is specified more than
  once
  - fixed a crash in *BSD when watching config directories for
  changes
  - fixed Irix build by using dirp->__dd_fd to get the file
  descriptor
  - cleaned up the LOCAL_CREDS vs CMGCRED credential code so
  *BSD's don't crash here anymore
  - dbus_message_iter_get_array_len deprecated
  - cleanup-man-pages.sh added so packagers can clean up Doxygen
  man page output from 7 to 2 megs
  - large documentation improvements
  - numerous bug fixes
- remove patch
  dbus-send-do-not-close-shared-connection-thoenig-01.patch (fix
  is now upstream)
- run cleanup-man-pages.sh to clean up Doxygen man page output
- cleanup rc script, add invocation of dbus-uuidgen
- do not call dbus-uuidgen in %%post
- update to D-Bus 0.95
  - DBUS_API_SUBJECT_TO_CHANGE no longer needs to be defined when
  building apps
  - ./configure checks now work when cross compiling
  - dbus-uuidgen --ensure is now run in the init script so there
  is no need to run it in a post script
  - dbus-uuidgen now writes out to /var/lib/dbus to work with
  systems that do not have a writable /etc. Packages should
  install and own the /var/lib/dbus directory
  - recursive locks are now used when dbus_threads_init_default is
  called
  - standard_session_servicedirs tag added to the session.conf
  under a normal build this specifies these service directories:
  /usr/local/share/dbus-1/services
  /usr/share/dbus-1/services
  $HOME/.local/share/dbus-1/services
  - fixed crash when a service directory is specified more than
  once
  - fixed a crash in *BSD when watching config directories for
  changes
  - fixed Irix build by using dirp->__dd_fd to get the file
  descriptor
  - cleaned up the LOCAL_CREDS vs CMGCRED credential code so
  *BSD's don't crash here anymore
  - dbus_message_iter_get_array_len deprecated
  - cleanup-man-pages.sh added so packagers can clean up Doxygen
  man page output from 7 to 2 megs
  - large documentation improvements
  - numerous bug fixes
* Mon Oct 23 2006 - thoenig@suse.de
- add patch
  dbus-send-do-not-close-shared-connection-thoenig-01.patch:
  Do not call dbus_connection_close() for shared connection.
- add patch
  dbus-send-do-not-close-shared-connection-thoenig-01.patch:
  Do not call dbus_connection_close() for shared connection.
* Sun Oct 15 2006 - thoenig@suse.de
- do not kill applications using D-Bus on update (b.n.c #210192)
- fix 'rcdbus status' to report correctly if D-Bus was not running
- run 'dbus-uuidgen --ensure' in %%post section
- drop patch dbus-unref-connections-on-close-thoenig-01.patch
  (fix is upstream)
- drop patch dbus-display_DBUS_DAEMONDIR_in_configure.diff (fix is
  upstream)
- drop patch dbus-tools_autobuild.diff (not required any more)
- update to D-Bus 0.94 (skipped 0.93)
  - dbus-uuidgen binary added for future remote machine
  identification
  * packagers should call dbus-uuidgen --ensure in their post
  - GetMachineId peer method added to the bus API
  - dbus_connection_set_route_peer_messages API added to let the
  bus send peer messages directly to an app
  - autolaunch abilities added to dbus-launch with the
    --autolaunch flag
  * This feature allows libdbus to start a session bus if none
  can be found
  * This is an internal feature and should not be used by
  scripts DBUS_SESSION_BUS_ADDRESS is still the correct way to
  specify a session bus
  - dbus-launch now prints out a simple key value pairs instead of
  shell scripts if one of the shell flags aren't used
  - support DBUS_BLOCK_ON_ABORT env variable to cause blocking
  waiting for gdb
  - weak ref are now held for shared connections so the right
  things happen this fixes some pretty major bugs with the way
  connections were handled
  - some refactoring for Windows (doesn't effect Unix)
  - Solaris build fixes
  - MacOSX build fixes
  - Cross compile build fixes. We now assume getpwnam_r is posix
  and va_lists can be copied by value since we can't check this
  in a cross compile. If this is not true for a particular target
  is up to the developer to patch.
  - dbus_threads_init_default added for initalizing threads without
  the need for bindings
  - Filters are now properly removed
  - dbus_connection_open now holds a hard ref to shared connections
  - we now print out a warning and do nothing when someone tries to
  close a shared connection
  - the --introspect switch has been added to the bus for printing
  out introspection data without actually running the bus
  - LOCAL_CREDS socket credentials are now supported for systems
  which support it such as NetBSD
  - generalize kqueue support so it works with NetBSD as well as
  FreeBSD
  - numerous bug fixes and memory leaks patched
- do not kill applications using D-Bus on update (b.n.c #210192)
- fix 'rcdbus status' to report correctly if D-Bus was not running
- run 'dbus-uuidgen --ensure' in %%post section
- drop patch dbus-unref-connections-on-close-thoenig-01.patch
  (fix is upstream)
- drop patch dbus-display_DBUS_DAEMONDIR_in_configure.diff (fix is
  upstream)
- drop patch dbus-tools_autobuild.diff (not required any more)
- update to D-Bus 0.94 (skipped 0.93)
  - dbus-uuidgen binary added for future remote machine
  identification
  * packagers should call dbus-uuidgen --ensure in their post
  - GetMachineId peer method added to the bus API
  - dbus_connection_set_route_peer_messages API added to let the
  bus send peer messages directly to an app
  - autolaunch abilities added to dbus-launch with the
    --autolaunch flag
  * This feature allows libdbus to start a session bus if none
  can be found
  * This is an internal feature and should not be used by
  scripts DBUS_SESSION_BUS_ADDRESS is still the correct way to
  specify a session bus
  - dbus-launch now prints out a simple key value pairs instead of
  shell scripts if one of the shell flags aren't used
  - support DBUS_BLOCK_ON_ABORT env variable to cause blocking
  waiting for gdb
  - weak ref are now held for shared connections so the right
  things happen this fixes some pretty major bugs with the way
  connections were handled
  - some refactoring for Windows (doesn't effect Unix)
  - Solaris build fixes
  - MacOSX build fixes
  - Cross compile build fixes. We now assume getpwnam_r is posix
  and va_lists can be copied by value since we can't check this
  in a cross compile. If this is not true for a particular target
  is up to the developer to patch.
  - dbus_threads_init_default added for initalizing threads without
  the need for bindings
  - Filters are now properly removed
  - dbus_connection_open now holds a hard ref to shared connections
  - we now print out a warning and do nothing when someone tries to
  close a shared connection
  - the --introspect switch has been added to the bus for printing
  out introspection data without actually running the bus
  - LOCAL_CREDS socket credentials are now supported for systems
  which support it such as NetBSD
  - generalize kqueue support so it works with NetBSD as well as
  FreeBSD
  - numerous bug fixes and memory leaks patched
* Thu Aug 31 2006 - dkukawka@suse.de
- added patch dbus-display_DBUS_DAEMONDIR_in_configure.diff to
  expand the complete path of DBUS_DAEMONDIR (b.n.c. #202854)
- added patch dbus-display_DBUS_DAEMONDIR_in_configure.diff to
  expand the complete path of DBUS_DAEMONDIR (b.n.c. #202854)
* Thu Aug 24 2006 - thoenig@suse.de
- add patch dbus-unref-connections-on-close-thoenig-01.patch: Unref
  connections on dbus_connection_close (b.n.c. #201164).
- add patch dbus-unref-connections-on-close-thoenig-01.patch: Unref
  connections on dbus_connection_close (b.n.c. #201164).
* Sat Aug 19 2006 - thoenig@suse.de
- update to D-Bus 0.92
  - proper thread locking added to pending calls
  - threading semantics changed from init early to init before the
  second thread
  - correctly error out when an application tries to acquire or
  release the org.freedesktop.DBus name instead of sending false
  result codes
  - kqueue directory watching code can now be used to monitor
  config file changes on FreeBSD
  - --with-dbus-daemondir configure switch added so the daemon can
  be installed separate from the user binaries
  - Makefiles fixed for cygwin
  - fixed docs and comments to use the D-Bus spelling instead of
  D-BUS
  - many memleaks and bugs fixed
- update to D-Bus 0.92
  - proper thread locking added to pending calls
  - threading semantics changed from init early to init before the
  second thread
  - correctly error out when an application tries to acquire or
  release the org.freedesktop.DBus name instead of sending false
  result codes
  - kqueue directory watching code can now be used to monitor
  config file changes on FreeBSD
  - --with-dbus-daemondir configure switch added so the daemon can
  be installed separate from the user binaries
  - Makefiles fixed for cygwin
  - fixed docs and comments to use the D-Bus spelling instead of
  D-BUS
  - many memleaks and bugs fixed
* Thu Aug 17 2006 - thoenig@suse.de
- update to D-Bus 0.92 CVS snapshot 2006-08-17
- don't crash in dbus_pending_call_get_completed if D-Bus
  connection is used twice in one application
- dbus-1-devel-doc: don't package non-existent HTML files
- update to D-Bus 0.92 CVS snapshot 2006-08-17
- don't crash in dbus_pending_call_get_completed if D-Bus
  connection is used twice in one application
- dbus-1-devel-doc: don't package non-existent HTML files
* Wed Aug 16 2006 - aj@suse.de
- Do not use xmlto in BuildRequires.
- Do not use xmlto in BuildRequires.
* Tue Aug 01 2006 - thoenig@suse.de
- split out binings to sparate spec files
- string replacement: s/D-BUS/D-Bus
- spec file cleanups
- remove aaa_base from requires
- drop dbus-1-qt (qt-dbus obsoletes dbus-1-qt)
- new upstream version 0.91 (skipped 0.90)
  - remove some lingering bits left over from the bindings split
  - fix assertion causing D-Bus applications to crash when checks
  are enabled
  - fix a timeout bug which would block applications from being
  auto started
  - API/ABI freeze for 1.0
  - bindings are now split out into seperate packages
  - listActivatableNames added as a method on the bus
  - removed deprecated dbus_connection_disconnect (use
  dbus_connection_close)
  - shared connections are now unreffed on disconnect
  - fixed pending calls for threaded enviornments
  - pending calls get timed out on connection disconnect
  - dbus_connection_send_with_reply returns TRUE and a NULL pending
  call if you call it on a connection object which has been
  disconnected already (it returns FALSE on Out of Memory errors
  only)
  - dbus-monitor now correctly catches methods, not just signals
  - dbus-monitor now prints object paths
- split out binings to sparate spec files
- string replacement: s/D-BUS/D-Bus
- spec file cleanups
- remove aaa_base from requires
- drop dbus-1-qt (qt-dbus obsoletes dbus-1-qt)
- new upstream version 0.91 (skipped 0.90)
  - remove some lingering bits left over from the bindings split
  - fix assertion causing D-Bus applications to crash when checks
  are enabled
  - fix a timeout bug which would block applications from being
  auto started
  - API/ABI freeze for 1.0
  - bindings are now split out into seperate packages
  - listActivatableNames added as a method on the bus
  - removed deprecated dbus_connection_disconnect (use
  dbus_connection_close)
  - shared connections are now unreffed on disconnect
  - fixed pending calls for threaded enviornments
  - pending calls get timed out on connection disconnect
  - dbus_connection_send_with_reply returns TRUE and a NULL pending
  call if you call it on a connection object which has been
  disconnected already (it returns FALSE on Out of Memory errors
  only)
  - dbus-monitor now correctly catches methods, not just signals
  - dbus-monitor now prints object paths
* Fri Jul 07 2006 - adrian@suse.de
- fix build for < 10.1
  * do not use -fstack-protector
- fix build for non-SUSE distros
- fix build for < 10.1
  * do not use -fstack-protector
- fix build for non-SUSE distros
* Tue Jul 04 2006 - adrian@suse.de
- fix build for 10.1
- remove requires to -%%release which can't work
- fix build for 10.1
- remove requires to -%%release which can't work
* Mon Jul 03 2006 - thoenig@suse.de
- call configure with --exec_prefix and --datadir
- spec file clean up
- call configure with --exec_prefix and --datadir
- spec file clean up
* Thu Jun 22 2006 - thoenig@suse.de
- fix build: add freetype2-devel and libpng-devel to dbus-1-qt.spec
- add patch: dbus-pending-reply-revert.diff to avoid crashes of
  multi-threaded applications using libdbus-1.
- fix build: add freetype2-devel and libpng-devel to dbus-1-qt.spec
- add patch: dbus-pending-reply-revert.diff to avoid crashes of
  multi-threaded applications using libdbus-1.
* Tue Jun 20 2006 - coolo@suse.de
- split out -qt and -qt3 into their own spec files
- split out -qt and -qt3 into their own spec files
* Mon Jun 12 2006 - thoenig@suse.de
- new upstream version 0.62
  - doc fixes
  - add support for all data-types for the dbus tools
  - fix eavesdropping on method calls (dbus-monitor)
  - fix silent dropping of method calls with interface=NULL
  - fix console ownership problems in Solaris
  - fix installation of dbus-signature.h and #include it in dbus/dbus.h
  - flush the user database cache on config reload
  - GLib bindings:
    - fix memory leaks
    - fix properties in DBusGProxy so that they can be given in any
  order
    - add lots of assertions to ensure correct use
    - remove duplicated code
    - fix static string pointer uses in GPtrArray-based collections
  - Python bindings:
    - remove reference to sys/cdefs.h
  - Qt4 bindings:
    - code reorganized
    - add the dbusidl2cpp, dbuscpp2xml and dbus tools
    - add example programs (ping-pong, complex ping-pong, listnames, chat)
    - updat selftests
    - fix compilation and .moc- and .ui-file processing and cleaning
    - make central classes derive from QObject
    - enhance error reporting
    - many bugfixes
  - Mono bindings:
    - minor bugfixes
- dbus-gcj_fixes.diff:  remove hunk for fastjar
- dbus-qt_moc_configure.diff:  dropped, now upstream
- dbus-qt_compile_fix.diff:  dropped, now upstream
- dbus-mono-args.diff:  dropped, now upstream
- dbus-mono-return-null.diff:  dropped, now upstream
- dbus-pedantic_compile.diff:  dropped, now upstream
- dbus-reply_pending_limit.diff:  dropped, now upstream
- add fastjar to requires of dbus-1-mono
- new upstream version 0.62
  - doc fixes
  - add support for all data-types for the dbus tools
  - fix eavesdropping on method calls (dbus-monitor)
  - fix silent dropping of method calls with interface=NULL
  - fix console ownership problems in Solaris
  - fix installation of dbus-signature.h and #include it in dbus/dbus.h
  - flush the user database cache on config reload
  - GLib bindings:
    - fix memory leaks
    - fix properties in DBusGProxy so that they can be given in any
  order
    - add lots of assertions to ensure correct use
    - remove duplicated code
    - fix static string pointer uses in GPtrArray-based collections
  - Python bindings:
    - remove reference to sys/cdefs.h
  - Qt4 bindings:
    - code reorganized
    - add the dbusidl2cpp, dbuscpp2xml and dbus tools
    - add example programs (ping-pong, complex ping-pong, listnames, chat)
    - updat selftests
    - fix compilation and .moc- and .ui-file processing and cleaning
    - make central classes derive from QObject
    - enhance error reporting
    - many bugfixes
  - Mono bindings:
    - minor bugfixes
- dbus-gcj_fixes.diff:  remove hunk for fastjar
- dbus-qt_moc_configure.diff:  dropped, now upstream
- dbus-qt_compile_fix.diff:  dropped, now upstream
- dbus-mono-args.diff:  dropped, now upstream
- dbus-mono-return-null.diff:  dropped, now upstream
- dbus-pedantic_compile.diff:  dropped, now upstream
- dbus-reply_pending_limit.diff:  dropped, now upstream
- add fastjar to requires of dbus-1-mono
* Mon Apr 24 2006 - thoenig@suse.de
- Add patch (dbus-mono-exit-on-disconnect.diff) from Aaron Bockover
  to extend the API of the mono bindings for exit_on_disconnect()
  (Novell bug #167824).
- Add patch (dbus-mono-exit-on-disconnect.diff) from Aaron Bockover
  to extend the API of the mono bindings for exit_on_disconnect()
  (Novell bug #167824).
* Wed Mar 15 2006 - thoenig@suse.de
- disable dbus-connection-blocks-on-poll.diff as it leads to
  crashes in applications using
  dbus_connection_send_with_reply_and_block ().
- disable dbus-connection-blocks-on-poll.diff as it leads to
  crashes in applications using
  dbus_connection_send_with_reply_and_block ().
* Mon Mar 06 2006 - thoenig@suse.de
- add restart_on_update back to %%postun (#143151, #150042)
- add restart_on_update back to %%postun (#143151, #150042)
* Fri Mar 03 2006 - thoenig@suse.de
- Add patch (dbus-connection-blocks-on-poll.diff) in order to fix
  pending replies being delayed if an application using the bus
  blocks on another pending reply. (not tracked in upstream
  bugzilla, only on-list, Novell bug #154916)
- Sync patches with dbus-1-mono
- Add patch (dbus-connection-blocks-on-poll.diff) in order to fix
  pending replies being delayed if an application using the bus
  blocks on another pending reply. (not tracked in upstream
  bugzilla, only on-list, Novell bug #154916)
- Sync patches with dbus-1-mono
* Wed Mar 01 2006 - thoenig@suse.de
- Add patch (dbus-reply_pending_limit.diff) in order to fix the
  pending replies limit not to be common for all connections.
  (Freedesktop bug #4200, Novell bug #153733)
- Add patch (dbus-reply_pending_limit.diff) in order to fix the
  pending replies limit not to be common for all connections.
  (Freedesktop bug #4200, Novell bug #153733)
* Fri Feb 24 2006 - aj@suse.de
- Sync patches with dbus-1-mono.
- Sync patches with dbus-1-mono.
* Tue Feb 14 2006 - ro@suse.de
- move all bindings except for glib to dbus-1-mono specfile
- remove restart_on_update (only restart on reboot) (#143151)
- move all bindings except for glib to dbus-1-mono specfile
- remove restart_on_update (only restart on reboot) (#143151)
* Fri Feb 03 2006 - aj@suse.de
- Remove unneeded BuildRequires.
- Remove unneeded BuildRequires.
* Sun Jan 29 2006 - aj@suse.de
- Splitup packages dbus-1-qt3-devel, dbus-1-qt-devel (#144857).
- Splitup packages dbus-1-qt3-devel, dbus-1-qt-devel (#144857).
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
- converted neededforbuild to BuildRequires
* Mon Jan 23 2006 - thoenig@suse.de
- Fixed D-BUS to restart on `rcdbus restart` id session busses
  are running (closes #127969)
- Fixed D-BUS to restart on `rcdbus restart` id session busses
  are running (closes #127969)
* Fri Jan 20 2006 - werner@suse.de
- Make rc script fully conforming with LSB
- Make rc script fully conforming with LSB
* Thu Jan 19 2006 - meissner@suse.de
- Use -fstack-protector.
- Added some missing requires to the -devel packages.
- Use -fstack-protector.
- Added some missing requires to the -devel packages.
* Thu Jan 05 2006 - thoenig@suse.de
- added libxml2-python to Requires of dbus-1-python (closes
  [#141225])
- added libxml2-python to Requires of dbus-1-python (closes
  [#141225])
* Tue Dec 20 2005 - dmueller@suse.de
- fix Qt4/x86_64 build with Qt 4.1
- fix Qt4/x86_64 build with Qt 4.1
* Sat Dec 17 2005 - thoenig@suse.de
- renamed sub package for Qt bindings from dbus-1-qt to dbus-1-qt3
- introducing Qt4 bindings, new package is dbus-1-qt
- renamed dbus-qt_compile_fix.diff to dbus-qt3_compile_fix.diff
- added -fno-strict-aliasing to CXXFLAGS
- modified patch:
  * removed configure.in parts of dbus-qt3_compile_fix.diff (fixed
  upstream)
- removed patches:
  * dbus-dnotify_configure-01.diff (fixed upstream)
  * dbus-dnotify_watchdirs-01.diff (fixed upstream)
- renamed sub package for Qt bindings from dbus-1-qt to dbus-1-qt3
- introducing Qt4 bindings, new package is dbus-1-qt
- renamed dbus-qt_compile_fix.diff to dbus-qt3_compile_fix.diff
- added -fno-strict-aliasing to CXXFLAGS
- modified patch:
  * removed configure.in parts of dbus-qt3_compile_fix.diff (fixed
  upstream)
- removed patches:
  * dbus-dnotify_configure-01.diff (fixed upstream)
  * dbus-dnotify_watchdirs-01.diff (fixed upstream)
* Fri Dec 09 2005 - ro@suse.de
- disable selinux
- disable selinux
* Tue Nov 22 2005 - coolo@suse.de
- make libdbus-1-qt self containing lib
- make libdbus-1-qt self containing lib
* Sat Nov 12 2005 - thoenig@suse.de
- added patches to make dnotify actually work for configuration
  file changes.  We now can add new bus policies at runtime.
  * dbus-dnotify_configure-01.diff
  * dbus-dnotify_watchdirs-01.diff
- added patches to make dnotify actually work for configuration
  file changes.  We now can add new bus policies at runtime.
  * dbus-dnotify_configure-01.diff
  * dbus-dnotify_watchdirs-01.diff
* Thu Oct 20 2005 - thoenig@suse.de
- added -fPIC to CFLAGS
- added -fPIC to CFLAGS
* Wed Sep 21 2005 - thoenig@suse.de
- new upstream version 0.50.2 (skipped some)
- removed patches:
  * dbus-disable_kde_dependency.diff (upstream)
  * dbus-transaction_fix.diff (upstream)
  * dbus-session-connect.diff (upstream)
  * dbus-gcj_fix_for_gcc4_on_x86_64.diff (duplicated, see
  dbus-gcj_fixes.diff)
- modified patch:
  * dbus-gcj_fixes.diff (removed reference to $BUILD_ROOT in .la)
- new upstream version 0.50.2 (skipped some)
- removed patches:
  * dbus-disable_kde_dependency.diff (upstream)
  * dbus-transaction_fix.diff (upstream)
  * dbus-session-connect.diff (upstream)
  * dbus-gcj_fix_for_gcc4_on_x86_64.diff (duplicated, see
  dbus-gcj_fixes.diff)
- modified patch:
  * dbus-gcj_fixes.diff (removed reference to $BUILD_ROOT in .la)
* Sat Sep 17 2005 - dmueller@suse.de
- make header files compileable with -pedantic
- make header files compileable with -pedantic
* Tue Sep 06 2005 - dkukawka@suse.de
- fixed return values for rchal start to be LSB conform (#115385)
- fixed return values for rchal start to be LSB conform (#115385)
* Sun Sep 04 2005 - aj@suse.de
- Add check-build.sh script.
- Add check-build.sh script.
* Tue Aug 30 2005 - thoenig@suse.de
- Moved man pages to correct sub-packages (closes #114036)
- Moved man pages to correct sub-packages (closes #114036)
* Tue Aug 30 2005 - thoenig@suse.de
- Added patch to fix session bus exploit (CAN-2005-0201, closes
  [#114043])
- Added patch to fix session bus exploit (CAN-2005-0201, closes
  [#114043])
* Thu Aug 04 2005 - thoenig@suse.de
- Replaced previous workaround for #98264 with a proper fix
- Replaced previous workaround for #98264 with a proper fix
* Tue Jul 26 2005 - thoenig@suse.de
- Reduce timeout for (wrongly assumed?) oom situations from 500ms
  to 50ms (closes #98264).
- Reduce timeout for (wrongly assumed?) oom situations from 500ms
  to 50ms (closes #98264).
* Mon Jul 18 2005 - thoenig@suse.de
- new upstream version 0.35.2 (skipped 0.35 and 0.35.1)
- removed patches:
  * dbus-python_bindings_gcc4_fix.diff (obsolete)
  * dbus-console-auth-SuSE-01.diff (upstream)
- new patches:
  * dbus-gvalue-utils-fix.diff (function returned random data)
  * dbus-python_bindings_fix.diff (unititialized variable)
- new upstream version 0.35.2 (skipped 0.35 and 0.35.1)
- removed patches:
  * dbus-python_bindings_gcc4_fix.diff (obsolete)
  * dbus-console-auth-SuSE-01.diff (upstream)
- new patches:
  * dbus-gvalue-utils-fix.diff (function returned random data)
  * dbus-python_bindings_fix.diff (unititialized variable)
* Wed Jun 22 2005 - thoenig@suse.de
- new upstream version 0.34
- new patch `dbus-console-auth-SuSE-01.diff`: this patch adds the
  command line option "--with-console-auth-dir" for resmgr
  integration.
- new upstream version 0.34
- new patch `dbus-console-auth-SuSE-01.diff`: this patch adds the
  command line option "--with-console-auth-dir" for resmgr
  integration.
* Wed Jun 22 2005 - thoenig@suse.de
- moved *.la *.a and *.pc files from dbus-1-glib to dbus-1-devel
- added dbus-1-glib and glib2-devel to Requires of dbus-1-devel
- moved *.la *.a and *.pc files from dbus-1-glib to dbus-1-devel
- added dbus-1-glib and glib2-devel to Requires of dbus-1-devel
* Thu May 19 2005 - adrian@suse.de
- fix path to documentation in susehelp desktop file
- fix path to documentation in susehelp desktop file
* Mon May 02 2005 - lnussel@suse.de
- fix init script dbus-daemon-1 -> dbus-daemon
- use fastjar only on > 9.3
- fix init script dbus-daemon-1 -> dbus-daemon
- use fastjar only on > 9.3
* Thu Apr 28 2005 - thoenig@suse.de
- new upstream version 0.33
- fixed typo in 'rc.boot.dbus'
- new upstream version 0.33
- fixed typo in 'rc.boot.dbus'
* Mon Apr 25 2005 - thoenig@suse.de
- updated e-mail address in 'rc.boot.dbus'
- updated e-mail address in 'rc.boot.dbus'
* Thu Apr 21 2005 - thoenig@suse.de
- updated short description in 'rc.boot.dbus'
- updated short description in 'rc.boot.dbus'
* Wed Apr 20 2005 - thoenig@suse.de
- D-BUS 0.33 (CVS 2005-04-19)
- ABI changes will affect packages: beagle, gnome, hal,
  ial, kdebase3, submount, tomboy. A tutorial to fix errors caused
  by the ABI/API change:
  http://people.redhat.com/johnp/files/dbus_0.23_to_0.30_porting_quickref.txt
- enabled python bindings again. GCC4 fix is provided by
  dbus-python_bindings_gcc4_fix.diff. This patch is to be dropped
  once  pyrex  generates GCC4-clean C code.
- D-BUS 0.33 (CVS 2005-04-19)
- ABI changes will affect packages: beagle, gnome, hal,
  ial, kdebase3, submount, tomboy. A tutorial to fix errors caused
  by the ABI/API change:
  http://people.redhat.com/johnp/files/dbus_0.23_to_0.30_porting_quickref.txt
- enabled python bindings again. GCC4 fix is provided by
  dbus-python_bindings_gcc4_fix.diff. This patch is to be dropped
  once  pyrex  generates GCC4-clean C code.
* Mon Apr 18 2005 - ro@suse.de
- use "fastjar" instead of "jar" with gcc-4
- disable python bindings for now
  (generated code is not really gcc-4 compliant)
- use "fastjar" instead of "jar" with gcc-4
- disable python bindings for now
  (generated code is not really gcc-4 compliant)
* Wed Mar 16 2005 - thoenig@suse.de
- applied 'dbus-il-fix.patch' for dbus-1-mono to prevent a crash
  caused by a change in mono.
- applied 'dbus-il-fix.patch' for dbus-1-mono to prevent a crash
  caused by a change in mono.
* Mon Mar 14 2005 - schwab@suse.de
- Fix name of init script.
- Fix name of init script.
* Mon Mar 14 2005 - thoenig@suse.de
- changed init order for hal/dbus/resmgr
- changed init order for hal/dbus/resmgr
* Sun Mar 13 2005 - thoenig@suse.de
- applied `dbus-mono-leak.diff` which fixes memory leaks of the
  mono bindings.
- applied `dbus-mono-leak.diff` which fixes memory leaks of the
  mono bindings.
* Sat Mar 12 2005 - thoenig@suse.de
- new upstream version 0.23.4
- new upstream version 0.23.4
* Thu Mar 10 2005 - thoenig@suse.de
- new upstream version 0.23.3
- removed obsolete patch (python_bindings_x86_64_fix.diff)
- new upstream version 0.23.3
- removed obsolete patch (python_bindings_x86_64_fix.diff)
* Thu Mar 03 2005 - dkukawka@suse.de
- fixed boot.dbus [see bug# 65775]
- fixed boot.dbus [see bug# 65775]
* Mon Feb 28 2005 - thoenig@suse.de
- moved files from dbus-1-devel to dbus-1-{glib,java,qt}
- moved files from dbus-1-devel to dbus-1-{glib,java,qt}
* Tue Feb 22 2005 - thoenig@suse.de
- added fix for python bindings to compile on 64 bit
- moved {_datadir}/dbus-1 and {_datadir}/dbus-1/services from
  dbus-1-x11 to dbus-1 package
- added fix for python bindings to compile on 64 bit
- moved {_datadir}/dbus-1 and {_datadir}/dbus-1/services from
  dbus-1-x11 to dbus-1 package
* Mon Feb 21 2005 - gekker@suse.de
- Fix dbus-1-x11, add directory so dbus-launch will work
- Fix dbus-1-x11, add directory so dbus-launch will work
* Mon Feb 21 2005 - adrian@suse.de
- avoid kde dependencies to improve our build times.
  The only thing which does need KDE is the configure script,
  the bindings itself are pure Qt
- avoid kde dependencies to improve our build times.
  The only thing which does need KDE is the configure script,
  the bindings itself are pure Qt
* Sun Feb 20 2005 - thoenig@suse.de
- new upstream version 0.23.2
- new upstream version 0.23.2
* Sun Feb 20 2005 - thoenig@suse.de
- new upstream version 0.23.2
- new upstream version 0.23.2
* Tue Feb 15 2005 - dkukawka@suse.de
- update to new version 0.23.1
- update to new version 0.23.1
* Tue Feb 15 2005 - dkukawka@suse.de
- update to new version 0.23.1
- update to new version 0.23.1
* Fri Feb 04 2005 - gekker@suse.de
- Use mono-devel-packages in neededforbuild
- pass --enable-mono in ./configure
- Make sure the symbolic link of dbus-sharp.dll is installed
- Use mono-devel-packages in neededforbuild
- pass --enable-mono in ./configure
- Make sure the symbolic link of dbus-sharp.dll is installed
* Thu Feb 03 2005 - thoenig@suse.de
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
* Thu Feb 03 2005 - thoenig@suse.de
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
- fixed assignment of .pc files
  * dbus-1.pc      is now owned by dbus-1-devel
  * dbus-glib-1.pc is now owned by dbus-1-glib
  * dbus-sharp.pc  is now owned by dbus-1-mono
* Thu Feb 03 2005 - ro@suse.de
- use common macros in pre/post scripts
- use common macros in pre/post scripts
* Fri Jan 28 2005 - dkukawka@suse.de
- fixed specfile of dbus
- fixed specfile of dbus
* Fri Jan 28 2005 - dkukawka@suse.de
- added aaa_base to requirements
- added /etc/init.d/boot.localfs to prereqy
- added aaa_base to requirements
- added /etc/init.d/boot.localfs to prereqy
* Tue Jan 25 2005 - dkukawka@suse.de
- cleaned up requirements in spec-file
- disabled all unneeded bindings within ./configure to reduce
  buildtime
- cleaned up requirements in spec-file
- disabled all unneeded bindings within ./configure to reduce
  buildtime
* Tue Jan 25 2005 - dkukawka@suse.de
- cleaned up requirements in spec-file
- cleaned up requirements in spec-file
* Sun Jan 23 2005 - dkukawka@suse.de
- fixed libdir directory for x86_64 in mono package
- fixed libdir directory for x86_64 in mono package
* Sun Jan 23 2005 - dkukawka@suse.de
- fix libdir directory for x86_64
- fix libdir directory for x86_64
* Thu Jan 20 2005 - adrian@suse.de
- enable api docu for qt, c# and java
- integrate api docu into suse help
- enable api docu for qt, c# and java
- integrate api docu into suse help
* Thu Jan 13 2005 - dkukawka@suse.de
- update to new version [0.23]. For more infos read the Changelog
  of the src
- update to new version [0.23]. For more infos read the Changelog
  of the src
* Thu Jan 13 2005 - dkukawka@suse.de
- update to new version [0.23]. For more info read the Changelog
  of the src
- changed position in /etc/rc.d/boot.d/, now dbus start depending
  on boot.localnet (this is a workaround to the /var/run - cleanup
  is moved from boot.localnet to boot.localfs)
- update to new version [0.23]. For more info read the Changelog
  of the src
- changed position in /etc/rc.d/boot.d/, now dbus start depending
  on boot.localnet (this is a workaround to the /var/run - cleanup
  is moved from boot.localnet to boot.localfs)
* Wed Jan 12 2005 - dkukawka@suse.de
- changed some in dbus-1-mono.spec
- changed some in dbus-1-mono.spec
* Wed Jan 12 2005 - dkukawka@suse.de
- changed rc-script:
  - now dbus start in boot.d
  - start depends on boot.localfs
- changed spec-file, now insserv instead of chkconfig
- fixed bug #49410
- changed rc-script:
  - now dbus start in boot.d
  - start depends on boot.localfs
- changed spec-file, now insserv instead of chkconfig
- fixed bug #49410
* Tue Jan 11 2005 - ro@suse.de
- added /usr/lib/qt3/bin to PATH (for moc)
- added /usr/lib/qt3/bin to PATH (for moc)
* Mon Jan 10 2005 - adrian@suse.de
- fix build, qt developer tools aren't in default PATH anymore
- fix build, qt developer tools aren't in default PATH anymore
* Mon Nov 29 2004 - dkukawka@suse.de
- removed ExclusiveArch, since mono and gtk-sharp for other
  archs available (thanks to ro@suse.de)
- removed ExclusiveArch, since mono and gtk-sharp for other
  archs available (thanks to ro@suse.de)
* Sun Nov 28 2004 - dkukawka@suse.de
- moved package to ../done/I386 , package is only for %%ix86,
  because on other archs we don´t have gtk-sharp
- changed requirements [dbus = %%{version}-%%{dbus_release}]
- moved package to ../done/I386 , package is only for %%ix86,
  because on other archs we don´t have gtk-sharp
- changed requirements [dbus = %%{version}-%%{dbus_release}]
* Sun Nov 28 2004 - dkukawka@suse.de
- init
- init
* Thu Nov 25 2004 - dkukawka@suse.de
- removed automatically deleting of DBUS-user and -group in
  uninstall-routine
- readding dbus-1-python package
- changed different due to new automake and python versions
- added Requires and BuildRequires
- removed automatically deleting of DBUS-user and -group in
  uninstall-routine
- readding dbus-1-python package
- changed different due to new automake and python versions
- added Requires and BuildRequires
* Tue Nov 23 2004 - dkukawka@suse.de
- added packages [glib, x11]
- change different things in packages, removed doupled/conflicting
  files in packages [base-rpm, devel, gtk, java, qt]
- changed different in %%pre, %%preun, %%post, %%postun sections of the
  spec-file
- stop dbus automatically before uninstall
- add/remove now dbus automatically to/from system services
- added packages [glib, x11]
- change different things in packages, removed doupled/conflicting
  files in packages [base-rpm, devel, gtk, java, qt]
- changed different in %%pre, %%preun, %%post, %%postun sections of the
  spec-file
- stop dbus automatically before uninstall
- add/remove now dbus automatically to/from system services
* Sat Nov 20 2004 - dkukawka@suse.de
- fixed bug in spec-file
- fixed bug in spec-file
* Thu Nov 18 2004 - dkukawka@suse.de
- removed binding package for Python while automake is fixed !
- removed binding package for Python while automake is fixed !
* Wed Nov 17 2004 - dkukawka@suse.de
- added binding packages [java, qt, gtk, python]
- added binding packages [java, qt, gtk, python]
* Fri Nov 05 2004 - thoenig@suse.de
- dynamic allocation of user id user messagebus
- dynamic allocation of group id for group messagebus
- dynamic allocation of user id user messagebus
- dynamic allocation of group id for group messagebus
* Wed Oct 20 2004 - thoenig@suse.de
- init
- init
